Bug 1440927 - libinput crashes handling keyboard listeners for switches
Summary: libinput crashes handling keyboard listeners for switches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d4e9299314975f3c0d96454d27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 18:53 UTC by Tomas Popela
Modified: 2017-05-06 17:11 UTC (History)
4 users (show)

Fixed In Version: libinput-1.7.1-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-06 17:11:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.50 KB, text/plain)
2017-04-10 18:53 UTC, Tomas Popela
no flags Details
File: cgroup (289 bytes, text/plain)
2017-04-10 18:53 UTC, Tomas Popela
no flags Details
File: core_backtrace (28.60 KB, text/plain)
2017-04-10 18:53 UTC, Tomas Popela
no flags Details
File: dso_list (26.56 KB, text/plain)
2017-04-10 18:53 UTC, Tomas Popela
no flags Details
File: environ (2.77 KB, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: exploitable (82 bytes, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: maps (204.30 KB, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: open_fds (11.07 KB, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details
File: var_log_messages (315 bytes, text/plain)
2017-04-10 18:54 UTC, Tomas Popela
no flags Details

Description Tomas Popela 2017-04-10 18:53:45 UTC
Description of problem:
Logged in after resuming from suspend.

Version-Release number of selected component:
gnome-shell-3.24.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: list_remove
executable:     /usr/bin/gnome-shell
journald_cursor: s=f26d0d57814e4b078191121d4839a62e;i=2004b6;b=e4272dc5c57c4e00a92b88ea0832170d;m=d6b1d04ea;t=54cd46ffe9857;x=d2b18d72e4ba28d3
kernel:         4.11.0-0.rc5.git0.1.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 list_remove at libinput-util.c:62
 #1 libinput_device_remove_event_listener at libinput.c:1958
 #2 lid_switch_toggle_keyboard_listener at evdev-lid.c:100
 #3 lid_switch_process_switch at evdev-lid.c:120
 #4 lid_switch_process at evdev-lid.c:143
 #5 evdev_device_dispatch at evdev.c:1868
 #6 libinput_dispatch at libinput.c:1927
 #7 dispatch_libinput at evdev/clutter-device-manager-evdev.c:804
 #8 clutter_event_dispatch at evdev/clutter-device-manager-evdev.c:826
 #13 meta_run at core/main.c:646

Comment 1 Tomas Popela 2017-04-10 18:53:52 UTC
Created attachment 1270555 [details]
File: backtrace

Comment 2 Tomas Popela 2017-04-10 18:53:54 UTC
Created attachment 1270556 [details]
File: cgroup

Comment 3 Tomas Popela 2017-04-10 18:53:56 UTC
Created attachment 1270557 [details]
File: core_backtrace

Comment 4 Tomas Popela 2017-04-10 18:53:58 UTC
Created attachment 1270558 [details]
File: dso_list

Comment 5 Tomas Popela 2017-04-10 18:54:00 UTC
Created attachment 1270559 [details]
File: environ

Comment 6 Tomas Popela 2017-04-10 18:54:02 UTC
Created attachment 1270560 [details]
File: exploitable

Comment 7 Tomas Popela 2017-04-10 18:54:03 UTC
Created attachment 1270561 [details]
File: limits

Comment 8 Tomas Popela 2017-04-10 18:54:07 UTC
Created attachment 1270562 [details]
File: maps

Comment 9 Tomas Popela 2017-04-10 18:54:09 UTC
Created attachment 1270563 [details]
File: open_fds

Comment 10 Tomas Popela 2017-04-10 18:54:11 UTC
Created attachment 1270564 [details]
File: proc_pid_status

Comment 11 Tomas Popela 2017-04-10 18:54:12 UTC
Created attachment 1270565 [details]
File: var_log_messages

Comment 12 Jonas Ådahl 2017-05-03 03:35:12 UTC
This looks like a crash in libinput; CC:ing Peter.

Comment 13 Fedora Update System 2017-05-04 08:03:23 UTC
libinput-1.7.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec4ea6e70a

Comment 14 Fedora Update System 2017-05-04 22:07:11 UTC
libinput-1.7.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec4ea6e70a

Comment 15 Fedora Update System 2017-05-06 17:11:40 UTC
libinput-1.7.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.